/**
 * @file same70_xplained_ultra.h
 * @brief SAME70-Xplained-Ultra evaluation kit
 *
 * @section License
 *
 * Copyright (C) 2010-2019 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.9.4
 **/

#ifndef _SAME70_XPLAINED_ULTRA_H
#define _SAME70_XPLAINED_ULTRA_H

//Dependencies
#include "same70.h"

//LED2
#define LED2        PIO_PB8
#define PIO_LED2    PIOB
#define ID_PIO_LED2 ID_PIOB

//LED3
#define LED3        PIO_PA5
#define PIO_LED3    PIOA
#define ID_PIO_LED3 ID_PIOA

//SW0 button
#define SW0         PIO_PA11
#define PIO_SW0     PIOA
#define ID_PIO_SW0  ID_PIOA

#endif
