/**
 * @file lpcxpresso_4337.h
 * @brief LPCXpresso4337 evaluation board
 *
 * @section License
 *
 * Copyright (C) 2010-2019 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.9.4
 **/

#ifndef _LPCXPRESSO_4337_H
#define _LPCXPRESSO_4337_H

//Dependencies
#include "lpc43xx.h"

//Red LED
#define LED_R_MASK (1 << 7)
#define LED_R_PORT 3

//Green LED
#define LED_G_MASK (1 << 7)
#define LED_G_PORT 0

//Blue LED
#define LED_B_MASK (1 << 5)
#define LED_B_PORT 3

//SW2
#define SW2_MASK  (1 << 7)
#define SW2_PORT  0

#endif
