/**
 * @file embos_ip_switch_board.h
 * @brief embOS/IP Switch Board
 *
 * @section License
 *
 * Copyright (C) 2010-2019 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.9.4
 **/

#ifndef _EMBOS_IP_SWITCH_BOARD_H
#define _EMBOS_IP_SWITCH_BOARD_H

//Dependencies
#include "mk66f18.h"

//LED0
#define LED0_POS    8
#define LED0_MASK   (1 << LED0_POS)
#define PORT_LED0   PORTA
#define GPIO_LED0   PTA

//LED1
#define LED1_POS    9
#define LED1_MASK   (1 << LED1_POS)
#define PORT_LED1   PORTA
#define GPIO_LED1   PTA

//LED2
#define LED2_POS    10
#define LED2_MASK   (1 << LED2_POS)
#define PORT_LED2   PORTA
#define GPIO_LED2   PTA

//LED3
#define LED3_POS    11
#define LED3_MASK   (1 << LED3_POS)
#define PORT_LED3   PORTA
#define GPIO_LED3   PTA

#endif
